# class hk_kdereport

KDE high level widget to display and design reports. More...

Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdereport.h>`
Inherits | KParts::MainWindow (unknown) [public ], hk_class [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdereport ( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 )
- virtual ~hk_kdereport ()
- bool set_presentationdatasource (long n,bool r=true)
- long presentationdatasource (void)
- void set_database (hk_database*)
- hk_database* database (void)
- void set_nodesignmode (bool)
- void set_mode (hk_presentation::enum_mode s)
- hk_kdesimplereport* simplereport (void)
- bool load_report (const hk_string& name="")

#### Public Slots

- void set_designmode (void)
- void set_viewmode (void)
- void save_report (void)
- void saveas_report (void)
- void close_report (void)
- void slot_showtoolbar (void)
- void print_report (void)
- void select_section (void)

#### Protected Methods

- void closeEvent ( QCloseEvent* e)

#### Protected Slots

- void fieldbutton_clicked (void)
- void pointerbutton_clicked (void)
- void viewbutton_clicked (void)
- void designbutton_clicked (void)
- void field_created (void)
- void bulkfont_clicked (void)
- void bulkforegroundcolour_clicked (void)
- void bulkbackgroundcolour_clicked (void)

## Detailed Description

this is a high level widget to display and design reports. It hereby uses hk_kdesimplereport. To use it set the database with set_database. If you want to show or edit an existing reports load it with load_report.

hk_kdereport ( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 )

### hk_kdereport

~hk_kdereport ()

### ~hk_kdereport

[virtual]

bool set_presentationdatasource (long n,bool r=true)

### set_presentationdatasource

long presentationdatasource (void)

### presentationdatasource

void set_database (hk_database*)

### set_database

hk_database* database (void)

### database

void set_nodesignmode (bool)

### set_nodesignmode

void set_mode (hk_presentation::enum_mode s)

### set_mode

hk_kdesimplereport* simplereport (void)

### simplereport

bool load_report (const hk_string& name="")

### load_report

void set_designmode (void)

### set_designmode

[slot]

void set_viewmode (void)

### set_viewmode

[slot]

void save_report (void)

### save_report

[slot]

void saveas_report (void)

### saveas_report

[slot]

void close_report (void)

### close_report

[slot]

void slot_showtoolbar (void)

### slot_showtoolbar

[slot]

void print_report (void)

### print_report

[slot]

void select_section (void)

### select_section

[slot]

void closeEvent ( QCloseEvent* e)

### closeEvent

[protected]

void fieldbutton_clicked (void)

### fieldbutton_clicked

[protected slots slot]

void pointerbutton_clicked (void)

### pointerbutton_clicked

[protected slots slot]

void viewbutton_clicked (void)

### viewbutton_clicked

[protected slots slot]

void designbutton_clicked (void)

### designbutton_clicked

[protected slots slot]

void field_created (void)

### field_created

[protected slots slot]

void bulkfont_clicked (void)

### bulkfont_clicked

[protected slots slot]

void bulkforegroundcolour_clicked (void)

### bulkforegroundcolour_clicked

[protected slots slot]

void bulkbackgroundcolour_clicked (void)

### bulkbackgroundcolour_clicked

[protected slots slot]

- Version: $Revision: 1.16 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.